Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ProjectDependency

    org.gradle.api.Buildable
      org.gradle.api.artifacts.SelfResolvingDependency
          org.gradle.tooling.model.Dependency
              org.gradle.api.artifacts.ProjectDependency
                  org.gradle.plugins.ide.idea.model.ModuleDependency

All Superinterfaces:
  Buildable, SelfResolvingDependency, Dependency, ModuleDependency

    public interface ProjectDependency
    extends ModuleDependency, SelfResolvingDependency

A `ProjectDependency` is a Dependency on another project in the current project hierarchy.

Authors:
  Hans Dockter

Method Summary
`ProjectDependency` | `copy()` {@inheritDoc}
`Project` | `getDependencyProject()` Returns the project associated with this project dependency.
`Configuration` | `getProjectConfiguration()` Returns the configuration associated with this project dependency.

Methods inherited from interface SelfResolvingDependency
resolve, resolve

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Method Detail

### copy

    public ProjectDependency copy()

  {@inheritDoc}

### getDependencyProject

    public Project getDependencyProject()

  Returns the project associated with this project dependency.

### getProjectConfiguration

    public Configuration getProjectConfiguration()

  Returns the configuration associated with this project dependency. The configuration belongs to the project associated with this project dependency.
  See Also:
    getDependencyProject()

Groovy Documentation